POST api/deliveryIntervalBranch

Перечень интервалов для получения ресурса доставки

Request Information

URI Parameters

None.

Body Parameters

DeliveryIntervalBranchReq
NameDescriptionTypeAdditional information
BranchIds

Collection of string

None.

Request Formats

application/json, text/json

Sample:
{
  "BranchIds": [
    "sample string 1",
    "sample string 2"
  ]
}

application/xml, text/xml

Sample:
<DeliveryIntervalBranchReq xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Dynamics.Ax.Application">
  <BranchIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </BranchIds>
</DeliveryIntervalBranchReq>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

DeliveryIntervalBranchRes
NameDescriptionTypeAdditional information
Items

Collection of DeliveryIntervalBranchEntityRes

None.

AdditionalInfo

Collection of string

None.

ErrorCode

integer

None.

ExtDuration

integer

None.

InfoLog

string

None.

errorMessage

string

None.

isError

integer

None.

strResponse

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Items": [
    {
      "BranchId": "sample string 1",
      "intervals": [
        {
          "DeliveryTimeFrom": 1,
          "DeliveryTimeTo": 2,
          "Type": "sample string 3"
        },
        {
          "DeliveryTimeFrom": 1,
          "DeliveryTimeTo": 2,
          "Type": "sample string 3"
        }
      ]
    },
    {
      "BranchId": "sample string 1",
      "intervals": [
        {
          "DeliveryTimeFrom": 1,
          "DeliveryTimeTo": 2,
          "Type": "sample string 3"
        },
        {
          "DeliveryTimeFrom": 1,
          "DeliveryTimeTo": 2,
          "Type": "sample string 3"
        }
      ]
    }
  ],
  "AdditionalInfo": [
    "sample string 1",
    "sample string 2"
  ],
  "ErrorCode": 1,
  "ExtDuration": 2,
  "InfoLog": "sample string 3",
  "errorMessage": "sample string 4",
  "isError": 5,
  "strResponse": "sample string 6"
}

application/xml, text/xml

Sample:
<DeliveryIntervalBranchRes xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Dynamics.Ax.Application">
  <AdditionalInfo xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </AdditionalInfo>
  <ErrorCode>1</ErrorCode>
  <ExtDuration>2</ExtDuration>
  <InfoLog>sample string 3</InfoLog>
  <errorMessage>sample string 4</errorMessage>
  <isError>5</isError>
  <strResponse>sample string 6</strResponse>
  <Items>
    <DeliveryIntervalBranchEntityRes>
      <BranchId>sample string 1</BranchId>
      <intervals>
        <DeliveryIntervalBranchResp>
          <DeliveryTimeFrom>1</DeliveryTimeFrom>
          <DeliveryTimeTo>2</DeliveryTimeTo>
          <Type>sample string 3</Type>
        </DeliveryIntervalBranchResp>
        <DeliveryIntervalBranchResp>
          <DeliveryTimeFrom>1</DeliveryTimeFrom>
          <DeliveryTimeTo>2</DeliveryTimeTo>
          <Type>sample string 3</Type>
        </DeliveryIntervalBranchResp>
      </intervals>
    </DeliveryIntervalBranchEntityRes>
    <DeliveryIntervalBranchEntityRes>
      <BranchId>sample string 1</BranchId>
      <intervals>
        <DeliveryIntervalBranchResp>
          <DeliveryTimeFrom>1</DeliveryTimeFrom>
          <DeliveryTimeTo>2</DeliveryTimeTo>
          <Type>sample string 3</Type>
        </DeliveryIntervalBranchResp>
        <DeliveryIntervalBranchResp>
          <DeliveryTimeFrom>1</DeliveryTimeFrom>
          <DeliveryTimeTo>2</DeliveryTimeTo>
          <Type>sample string 3</Type>
        </DeliveryIntervalBranchResp>
      </intervals>
    </DeliveryIntervalBranchEntityRes>
  </Items>
</DeliveryIntervalBranchRes>